/*
Function Name:  direction_to
Call Syntax:  direction_to(target_object)
Description:  returns the direction that the calling object needs to face in order to point toward the target object.  
Does not actually change the direction of the calling object, but returns the value that can be assigned to change the 
object's facing to point toward the target instance.
Parameters:  MyTarget, an instance 
Returns:  a real number between 0-259, equivalent to the direction in degrees.
Results:  none
*/

var the_target = argument0;
if instance_exists(the_target)
{
    return point_direction(self.x, self.y, the_target.x, the_target.y);
}
