/*
Function Name:  turn_towards(target_object, rate_of_turn)
Description:  Changes the direction of the calling object by rate_of_turn degrees toward the direction of the target object.  
Stops rotation once the calling object is pointing at the target.  Call every step to incrementally rotate the object toward 
the target.
Parameters: 
            object (the index of the target object to turn towards), 
            rate_of_turn (real number representing the number of degrees the calling object will turn)
Returns: void
Results: if target_object exists, the calling object turns toward the target object by rate_of_turn degrees.  Otherwise the direction of 
the calling object does not change. 
*/

var the_target, rate_of_turn, direction_to_target;
the_target = argument0;
rate_of_turn = argument1;
if !(the_target == noone)
{
    if (instance_exists(the_target))
    {
        direction_to_target = point_direction(self.x, self.y, the_target.x, the_target.y);

        if (abs(self.direction - direction_to_target) < rate_of_turn)
        {

        }
        else
        {
            self.direction += ((which_way(self.direction, direction_to_target))*rate_of_turn);
        }
    }
}

